GEOSOP(1)

NAME
geosop - manual page for geosop 3.10.1

DESCRIPTION
geosop - GEOS 3.11.0 Executes GEOS geometry operations Usage:

    geosop [OPTION...] opName opArg

-a arg
    source for A geometries (WKT, WKB, file, stdin, stdin.wkb)

-b arg
    source for B geometries (WKT, WKB, file, stdin, stdin.wkb)

--alimit arg
    Limit number of A geometries read

-c, --collect
    Collect input into single geometry

-e, --explode
    Explode results into component geometries

-f, --format arg
    Output format (wkt, wkb or txt)

-h, --help
    Print help

-p, --precision arg
    Sets number of decimal places in output coordinates

-r, --repeat arg
    Repeat operation N times

-t, --time
    Print execution time

-v, --verbose
    Verbose output

Notes: - to use negative numeric op arguments use '--' before the op name - Negative numeric op arguments can be specified with leading N: e.g. N-0.1

  Operations:

Geometry
    ------------------

A   copy >G - compute copy of geometry

A   envelope >G - compute envelope of geometry

A   isEmpty >B - test if geometry is empty

A   normalize >G - normalize geometry

A   lineMerge >G - merge the lines of geometry

A   reducePrecision N >G - reduce precision of geometry to a precision scale factor

A   reducePrecisionKeepCollapsed N >G - reduce precision of geometry to a precision scale factor

A   reducePrecisionPointwise N >G - reduce precision of geometry to a precision scale factor

A   reverse >G - reverse geometry

Metric
    ------------------

A   area >D - compute area of geometry

A   length >D - compute length of geometry

Validity
    ------------------

A   isSimple >B - test if geometry is simple

A   isValid >B - test if geometry is valid

A   fixInvalid >G - fix invalid geometry to be valid

A   makeValid >G - make geometry valid (original algorithm)

Construction
    ------------------

A   boundary >G - compute boundary of geometry

A   buffer N >G - compute the buffer of geometry by a distance

A   offsetCurve N >G - compute the offset curve of geometry by a distance

A   OLDoffsetCurve N >G - compute the offset curve of geometry by a distance

A   centroid >G - compute centroid of geometry

A   convexHull >G - compute convexHull of geometry

A   concaveHull >G - compute concaveHull of geometry

A   concaveHullHoles >G - compute concaveHullHoles of geometry

A   densify N >G - densify geometry to a distance

A   interiorPoint >G - compute interiorPoint of geometry

A   largestEmptyCircle N >G - compute radius line of largest empty circle of geometry up to a distance tolerance

A   maxInscribedCircle N >G - compute maximum inscribed circle radius of Polygon up to a distance tolerance

A   minBoundingCircle >G - compute minBoundingCircle of geometry

A   delaunay >G - compute the Delaunay Triangulation of geometry vertices

A   constrainedDelaunay >G - constrained Delauanay triangulation of polygonal geometries

A   voronoi >G - Voronoi Diagram of geometry vertices

A   polygonize >G - compute polygonize of geometry

A   buildArea >G - compute buildArea of geometry

A   simplifyDP N >G - simplify geometry using Douglas-Peucker with a distance tolerance

A   simplifyTP N >G - simplify geometry using Douglas-Peucker with a distance tolerance, preserving topology

Spatial Relationship
    ------------------

A B contains >B - test if geometry A contains geometry B

A B covers >B - test if geometry A covers geometry B

A B equals >B - test if geometry A equals geometry B

A B intersects >B - test if geometry A and B intersect

A B relate >S - compute DE-9IM matrix for geometry A and B

A B containsPrep >B - test if geometry A contains geometry B, using PreparedGeometry

A B containsProperlyPrep >B - test if geometry A properly contains geometry B using PreparedGeometry

A B coversPrep >B - test if geometry A covers geometry B using PreparedGeometry

A B intersectsPrep >B - test if geometry A intersects B using PreparedGeometry

Distance
    ------------------

A B distance >D - compute distance between geometry A and B

A B nearestPoints >G - compute a line containing the nearest points of geometry A and B

A B frechetDistance >D - compute discrete Frechet distance between geometry A and B

A B distancePrep >D - compute distance between geometry A and B using PreparedGeometry

A B nearestPointsPrep >G - compute a line containing the nearest points of geometry A and B using PreparedGeometry

Overlay
    ------------------

A B difference >G - compute difference of geometry A from B

A B intersection >G - compute intersection of geometry A and B

A B symDifference >G - compute symmetric difference of geometry A and B

A   unaryUnion >G - compute unaryUnion of geometry

A B union >G - compute union of geometry A and B

A   unionCoverageNG >G - union a polygonal coverage

A   unionCoverage >G - union a polygonal coverage

A B differenceSR N >G - compute difference of geometry A from B, snap-rounding to a precision scale factor

A B intersectionSR N >G - compute intersection of geometry A and B, snap-rounding to a precision scale factor

A B symDifferenceSR N >G - compute symmetric difference of geometry A and B, snap-rounding to a precision scale factor

A B unionSR N >G - compute union of geometry A and B, snap-rounding to a precision scale factor

A B clipRect >G - clip geometry A to envelope of B

SEE ALSO
The full documentation for geosop is maintained as a Texinfo manual. If the info and geosop programs are properly installed at your site, the command

    info geosop

should give you access to the complete manual.